JavaDoc Style: Javadoc_Test Class Reference

JavaDoc Style

Public Types | Public Member Functions | Public Attributes | List of all members
Javadoc_Test Class Referenceabstract

A test class. More...

## Public Types
enum | TEnum { TVal1, TVal2, TVal3 }
| An enum. More...

## Public Member Functions
| Javadoc_Test ()
| A constructor. More...
| ~Javadoc_Test ()
| A destructor. More...
int | testMe (int a, const char *s)
| a normal member taking two arguments and returning an integer value. More...
virtual void | testMeToo (char c1, char c2)=0
| A pure virtual member. More...

## Public Attributes
enum Javadoc_Test::TEnum * | enumPtr
| enum pointer. More...
enum Javadoc_Test::TEnum | enumVar
| enum variable. More...
int | publicVar
| a public variable. More...
int(* | handler )(int a, int b)
| a function variable. More...

## Detailed Description

A test class.

A more elaborate class description.

## Member Enumeration Documentation

## ◆ TEnum

enum Javadoc_Test::TEnum

An enum.

More detailed enum description.

Enumerator
TVal1 | enum value TVal1.
TVal2 | enum value TVal2.
TVal3 | enum value TVal3.

## Constructor & Destructor Documentation

## ◆ Javadoc_Test()

Javadoc_Test::Javadoc_Test | ( |  | ) |

A constructor.

A more elaborate description of the constructor.

## ◆ ~Javadoc_Test()

Javadoc_Test::~Javadoc_Test | ( |  | ) |

A destructor.

A more elaborate description of the destructor.

## Member Function Documentation

## ◆ testMe()

int Javadoc_Test::testMe | ( | int | a,
|  | const char * | s
| ) |  |

a normal member taking two arguments and returning an integer value.

Parameters

  a | an integer argument.
  s | a constant character pointer.

See also
  Javadoc_Test()
  ~Javadoc_Test()
  testMeToo()
  publicVar()

Returns
  The test results

## ◆ testMeToo()

virtual void Javadoc_Test::testMeToo | ( | char | c1,
|  | char | c2
| ) |  |
| pure virtual

A pure virtual member.

See also
  testMe()

Parameters

  c1 | the first argument.
  c2 | the second argument.

## Member Data Documentation

## ◆ enumPtr

enum Javadoc_Test::TEnum * Javadoc_Test::enumPtr

enum pointer.

Details.

## ◆ enumVar

enum Javadoc_Test::TEnum Javadoc_Test::enumVar

enum variable.

Details.

## ◆ handler

int(* Javadoc_Test::handler) (int a, int b)

a function variable.

Details.

## ◆ publicVar

int Javadoc_Test::publicVar

a public variable.

Details.

The documentation for this class was generated from the following file:

- jdstyle.cpp